MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003614ATutorModulespublic2008-10-24 10:012008-11-14 08:22
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.2 
Summary0003614: Install already installed module
DescriptionInstead of an error message, can installed modules be greyed out like installed patches are, so patches and modules function the same way. Currently it is possible to select a module that is already installed.

There should also be something to indicate that a module is installed.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003249)
cindy (administrator)
2008-10-28 06:31

1. add xml field <install_folder> into update.atutor.ca/modules/module_list.xml to indicate the install folder contained in module zip file
2. when displaying "install modules" page from update.atutor.ca, check the existence of the folder specified in <install_folder>, if exists, grey out according radio button and show status as "installed", otherwise, enable the radio button and status is "not installed"

Affected files:
admin/modules/install_modules.php
include/classes/Module/ModuleListParser.class.php

SVN Revision: 8100

- Issue History
Date Modified Username Field Change
2008-10-24 10:01 greg New Issue
2008-10-24 10:01 greg Affects version => SVN
2008-10-28 06:31 cindy Status new => resolved
2008-10-28 06:31 cindy Fixed in Version => 1.6.2
2008-10-28 06:31 cindy Resolution open => fixed
2008-10-28 06:31 cindy Assigned To => cindy
2008-10-28 06:31 cindy Note Added: 0003249
2008-11-14 08:22 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker